## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate miette

Name:           rust-miette
Version:        5.9.0
Release:        %autorelease
Summary:        Fancy diagnostic reporting library and protocol for us mere mortals

License:        Apache-2.0
URL:            https://crates.io/crates/miette
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * disable unused "fancy" feature with missing "backtrace-ext" dependency
Patch:          miette-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Fancy diagnostic reporting library and protocol for us mere mortals who
aren't compiler hackers.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fancy-no-backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fancy-no-backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "fancy-no-backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+fancy-no-backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+is-terminal-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+is-terminal-devel %{_description}

This package contains library source intended for building other packages which
use the "is-terminal" feature of the "%{crate}" crate.

%files       -n %{name}+is-terminal-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-format-args-capture-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-format-args-capture-devel %{_description}

This package contains library source intended for building other packages which
use the "no-format-args-capture" feature of the "%{crate}" crate.

%files       -n %{name}+no-format-args-capture-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+owo-colors-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+owo-colors-devel %{_description}

This package contains library source intended for building other packages which
use the "owo-colors" feature of the "%{crate}" crate.

%files       -n %{name}+owo-colors-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+supports-color-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+supports-color-devel %{_description}

This package contains library source intended for building other packages which
use the "supports-color" feature of the "%{crate}" crate.

%files       -n %{name}+supports-color-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+supports-hyperlinks-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+supports-hyperlinks-devel %{_description}

This package contains library source intended for building other packages which
use the "supports-hyperlinks" feature of the "%{crate}" crate.

%files       -n %{name}+supports-hyperlinks-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+supports-unicode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+supports-unicode-devel %{_description}

This package contains library source intended for building other packages which
use the "supports-unicode" feature of the "%{crate}" crate.

%files       -n %{name}+supports-unicode-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+terminal_size-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+terminal_size-devel %{_description}

This package contains library source intended for building other packages which
use the "terminal_size" feature of the "%{crate}" crate.

%files       -n %{name}+terminal_size-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+textwrap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+textwrap-devel %{_description}

This package contains library source intended for building other packages which
use the "textwrap" feature of the "%{crate}" crate.

%files       -n %{name}+textwrap-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon May 22 2023 Fabio Valentini <decathorpe@gmail.com> - 5.9.0-1
- Update to version 5.9.0; Fixes RHBZ#2208404

* Wed Apr 19 2023 Fabio Valentini <decathorpe@gmail.com> - 5.8.0-1
- Update to version 5.8.0; Fixes RHBZ#2187775

* Sat Apr 01 2023 Fabio Valentini <decathorpe@gmail.com> - 5.7.0-1
- Update to version 5.7.0; Fixes RHBZ#2177963

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 12 2022 Fabio Valentini <decathorpe@gmail.com> - 5.5.0-1
- Update to version 5.5.0; Fixes RHBZ#2113060

* Tue Jul 26 2022 yizhengxie <yizhengx@bu.edu> - 5.1.1-1
- Update to 5.1.1

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Apr 13 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 4.4.0-1
- Update to 4.4.0

* Sat Mar 26 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 4.2.1-1
- Initial package

